From 742d610e4936d7377dd66b8ec6213c6c0afa121f Mon Sep 17 00:00:00 2001
From: Elvis Pranskevichus <elvis@magic.io>
Date: Wed, 10 Feb 2016 14:45:13 -0500
Subject: [PATCH] Build fixes

---
 lib/internal/bootstrap_node.js |  2 ++
 node.gyp                       | 13 ++++++++-----
 src/node_main.cc               |  2 ++
 3 files changed, 12 insertions(+), 5 deletions(-)

diff --git a/lib/internal/bootstrap_node.js b/lib/internal/bootstrap_node.js
index 3e698ed..c748f64 100644
--- a/lib/internal/bootstrap_node.js
+++ b/lib/internal/bootstrap_node.js
@@ -50,7 +50,9 @@
       setupGlobalConsole();
     }
 
+    if (!process.env.ELECTRON_NODE_DISABLE_ASAR_SUPPORT) {
     setupAsarSupport();
+    }
 
     const _process = NativeModule.require('internal/process');
 
diff --git a/node.gyp b/node.gyp
index 1ad0137..8f24426 100644
--- a/node.gyp
+++ b/node.gyp
@@ -1,6 +1,7 @@
 {
   'variables': {
     'v8_use_snapshot%': 'false',
+    'v8_gyp_path%': 'deps/v8/tools/gyp/v8.gyp',
     'node_use_dtrace%': 'false',
     'node_use_lttng%': 'false',
     'node_use_etw%': 'false',
@@ -126,6 +127,8 @@
 
       'dependencies': [
         'node_js2c#host',
+        '<(v8_gyp_path):v8',
+        '<(v8_gyp_path):v8_libplatform'
       ],
 
       'include_dirs': [
@@ -254,8 +257,8 @@
           ],
 
           'dependencies': [
-            'deps/v8/tools/gyp/v8.gyp:v8',
-            'deps/v8/tools/gyp/v8.gyp:v8_libplatform'
+            '<(v8_gyp_path):v8',
+            '<(v8_gyp_path):v8_libplatform'
           ],
         }],
         [ 'node_use_v8_platform=="true"', {
@@ -842,13 +845,13 @@
         }],
         [ 'node_use_v8_platform=="true"', {
           'dependencies': [
-            'deps/v8/tools/gyp/v8.gyp:v8_libplatform',
+            '<(v8_gyp_path):v8_libplatform',
           ],
         }],
         [ 'node_use_bundled_v8=="true"', {
           'dependencies': [
-            'deps/v8/tools/gyp/v8.gyp:v8',
-            'deps/v8/tools/gyp/v8.gyp:v8_libplatform'
+            '<(v8_gyp_path):v8',
+            '<(v8_gyp_path):v8_libplatform'
           ],
         }],
       ]
diff --git a/src/node_main.cc b/src/node_main.cc
index 02082ba..641e8db 100644
--- a/src/node_main.cc
+++ b/src/node_main.cc
@@ -49,8 +49,10 @@ int wmain(int argc, wchar_t *wargv[]) {
 }
 #else
 // UNIX
+#include <stdlib.h>
 int main(int argc, char *argv[]) {
   setvbuf(stderr, NULL, _IOLBF, 1024);
+  putenv("ELECTRON_NODE_DISABLE_ASAR_SUPPORT=1");
   return node::Start(argc, argv);
 }
 #endif
-- 
2.7.3

